Search documentation of ExStreamClient

# ExStreamClient.Model.DraftPayloadResponse (ExStreamClient v0.1.10)

View Source

Schema representing a DraftPayloadResponse

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.DraftPayloadResponse{
      attachments: [ExStreamClient.Model.Attachment.t()] | nil,
      custom: %{optional(String.t()) => any()},
      html: String.t() | nil,
      id: String.t(),
      mentioned_users: [ExStreamClient.Model.UserResponse.t()] | nil,
      mml: String.t() | nil,
      parent_id: String.t() | nil,
      poll_id: String.t() | nil,
      quoted_message_id: String.t() | nil,
      show_in_channel: boolean() | nil,
      silent: boolean() | nil,
      text: String.t(),
      type: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()